<?php

/**
 * @file
 * Page callback for listen notification.
 */

/**
 * Listen Notification.
 *
 * @param string $instance_id
 *   The instance ID that uses the payment.
 */
function khipu_listen_notification($instance_id) {
  if (empty($_POST)) {
    // If not done the POST request, then page not found.
    drupal_not_found();
    drupal_exit();
  }

  if (!khipu_load_class()) {
    drupal_goto('<front>');
  }
  $khipu = new Khipu();
  $khipu_service = $khipu->loadService('VerifyPaymentNotification');
  // Attached POST values ​​in service.
  $khipu_service->setDataFromPost();
  // We make a request to khipu to verify.
  $response = $khipu_service->verify();

  if ($response['response'] == 'VERIFIED') {
    module_invoke_all('khipu_verified', $instance_id);
  }
}
